org.deidentifier.arx

## Class DataHandleInput

- java.lang.Object
- - org.deidentifier.arx.DataHandle
  - - org.deidentifier.arx.DataHandleInput

    public class DataHandleInput
    extends DataHandle

An implementation of the DataHandle interface for input data.

Author:
  Fabian Prasser, Florian Kohlmayer

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAttributeName(int column)` Returns the name of the specified column.
`int` `getGeneralization(java.lang.String attribute)` Returns the generalization level for the attribute.
`int` `getNumColumns()` Returns the number of columns in the dataset.
`int` `getNumRows()` Returns the number of rows in the dataset.
`StatisticsBuilder` `getStatistics()` Returns an object providing access to basic descriptive statistics about the data represented by this handle.
`java.lang.String` `getValue(int row, int column)` Returns the value in the specified cell.
`java.util.Iterator<java.lang.String[]>` `iterator()` Returns an iterator over the data.

### Methods inherited from class org.deidentifier.arx.DataHandle

`getColumnIndexOf, getDataType, getDate, getDefinition, getDistinctValues, getDouble, getFloat, getInt, getLong, getMatchingDataTypes, getMatchingDataTypes, getMatchingDataTypes, getMatchingDataTypes, getMatchingDataTypes, getMatchingDataTypes, getMatchingDataTypes, getMatchingDataTypes, getNonConformingValues, getNumConformingValues, getRiskEstimator, getRiskEstimator, getRiskEstimator, getRiskEstimator, getRiskEstimator, getRiskEstimator, getRiskEstimator, getTransformation, getView, isOptimized, isOutlier, isReleased, isSuppressed, release, render, replace, save, save, save, save, save, save, save, save, save, sort, sort, sort, sort, swap`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAttributeName

    public java.lang.String getAttributeName(int column)

Description copied from class: `DataHandle`
Returns the name of the specified column.

Specified by:
  `getAttributeName` in class `DataHandle`
Parameters:
  `column` - The column index
Returns:
  the attribute name

#### getGeneralization

    public int getGeneralization(java.lang.String attribute)

Description copied from class: `DataHandle`
Returns the generalization level for the attribute.

Specified by:
  `getGeneralization` in class `DataHandle`
Parameters:
  `attribute` - the attribute
Returns:
  the generalization

#### getNumColumns

    public int getNumColumns()

Description copied from class: `DataHandle`
Returns the number of columns in the dataset.

Specified by:
  `getNumColumns` in class `DataHandle`
Returns:
  the num columns

#### getNumRows

    public int getNumRows()

Description copied from class: `DataHandle`
Returns the number of rows in the dataset.

Specified by:
  `getNumRows` in class `DataHandle`
Returns:
  the num rows

#### getStatistics

    public StatisticsBuilder getStatistics()

Description copied from class: `DataHandle`
Returns an object providing access to basic descriptive statistics about the data represented by this handle.

Specified by:
  `getStatistics` in class `DataHandle`
Returns:
  the statistics

#### getValue

    public java.lang.String getValue(int row,
                                     int column)

Description copied from class: `DataHandle`
Returns the value in the specified cell.

Specified by:
  `getValue` in class `DataHandle`
Parameters:
  `row` - The cell's row index
  `column` - The cell's column index
Returns:
  the value

#### iterator

    public java.util.Iterator<java.lang.String[]> iterator()

Description copied from class: `DataHandle`
Returns an iterator over the data.

Specified by:
  `iterator` in class `DataHandle`
Returns:
  the iterator